CREATE TABLE cso_config_property_def (
    DATE_ADDED           TIMESTAMP(6)      NOT NULL,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    DATE_MODIFIED        TIMESTAMP(6)      NOT NULL,
    RECORD_ID            VARCHAR2(128) ,
    CONFIG_MODULE_ID     VARCHAR2(128)     NOT NULL,
    REFERENCE_KEY        VARCHAR2(400)     NOT NULL,
    ENCRYPTED            NUMBER        ,
    ADMIN_EDITABLE       NUMBER        ,
    EDITABLE             NUMBER        ,
    RESTART_REQUIRED     NUMBER        ,
    INSTANCE_SPECIFIC    NUMBER        ,
    SEED_DATA_SOURCE     VARCHAR2(2048),
    ORA_SEED_SET1        VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2        VARCHAR2(4)       NOT NULL,
    DATE_ADDED           TIMESTAMP(6)      NOT NULL,
    DATE_MODIFIED        TIMESTAMP(6)      NOT NULL,
    RECORD_ID            VARCHAR2(128) ,
    CONFIG_MODULE_ID     VARCHAR2(128)     NOT NULL,
    REFERENCE_KEY        VARCHAR2(400)     NOT NULL,
    ENCRYPTED            NUMBER        ,
    ADMIN_EDITABLE       NUMBER        ,
    EDITABLE             NUMBER        ,
    RESTART_REQUIRED     NUMBER        ,
    INSTANCE_SPECIFIC    NUMBER        ,
    SEED_DATA_SOURCE     VARCHAR2(2048),
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    ORA_SEED_SET1        VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2        VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_cso_config_property_def PRIMARY KEY (RECORD_ID, RECORD_ID)
);
